=== debian/control ===
--- 
+++ 
@@ -51,8 +51,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libc-ares2, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: MQTT version 3.1/3.1.1 client library
  This is a C library for implementing MQTT version 3.1/3.1.1 clients.
  .
@@ -99,6 +98,7 @@
 Multi-Arch: same
 Depends: libmosquittopp1 (<< ${source:Version}.1~),
          libmosquittopp1 (>= ${source:Version}),
+         libmosquitto-dev,
          ${misc:Depends}
 Replaces: libmosquittopp0-dev (<< 1.2-1~)
 Breaks: libmosquittopp0-dev (<< 1.2-1~)
