=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mosquitto
 Section: net
 Priority: optional
-Maintainer: Roger A. Light <roger@atchoo.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roger A. Light <roger@atchoo.org>
 Build-Depends: debhelper (>= 9),
                libc-ares-dev,
                libssl-dev (>=1.0.0),
@@ -19,11 +20,11 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: adduser (>= 3.10),
-         apparmor,
          libuuid1,
          lsb-base (>=4.1+Debian3),
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: apparmor
 Description: MQTT version 3.1/3.1.1 compatible message broker
  This is a message broker that supports version 3.1 and 3.1.1 of the MQTT
  protocol.
